(function() {
    tinymce.create('tinymce.plugins.LWAC', {
        init : function(ed, url) {
            ed.addCommand('mceLWAC', function() {
            ed.windowManager.open({
               file : ajaxurl + '?action=lwac_tinymce',
               width : 380 + ed.getLang('LWAC.delta_width', 0),
               height : 195 + ed.getLang('LWAC.delta_height', 0),
               inline : 1
            }, {
                  plugin_url : url, // Plugin absolute URL
                  some_custom_arg : 'custom arg' // Custom argument
            });
         });

            ed.addButton('lwac', {
                title : 'Insert Accordion',
                image : url+'/icon.png',
                cmd : 'mceLWAC'
            });
            /*
            ed.onNodeChange.add(function(ed, cm, n) {
            cm.setActive('lwac', n.nodeName == 'IMG');
         });
         */
        },
        createControl : function(n, cm) {
            return null;
        },
        getInfo : function() {
            return {
                longname : "Likno Web Accordion",
                author : 'Likno',
                authorurl : 'http://likno.com/',
                infourl : 'http://www.likno.com/jquery-accordion/wordpress-accordion.html',
                version : "1.1"
            };
        }
    });
    tinymce.PluginManager.add('lwac', tinymce.plugins.LWAC);
})();

