<?php
/*
 * This is the class of the webaccordionbuilder widget.
 */
class Widget_WebAccordionBuilder extends WP_Widget {

	function Widget_WebAccordionBuilder() {
		$widget_ops = array('description' => __( "Do not use the drag and drop feature here. Please choose one of the accordion widgets found at the “Inactive Widgets” section at the bottom of this page. Also remember that you should also have the “Widget” option selected at the “Accordion Positioning Method” property of the Likno Web Accordion plugin settings page. " ) );
		$this->WP_Widget('Widget_WebAccordionBuilder', __('Likno Web Accordion'), $widget_ops);
	}

	function widget( $args, $instance ) {
		global $wpdb,$lwac_table_name;
		extract($args, EXTR_SKIP);
                if (isset($instance['div_name']))
                    $lwacName = $wpdb->get_var('SELECT name from '.$lwac_table_name.' where position LIKE "lwac_widget" && id = '.(int)$instance['div_name']);
                else
                    $lwacName = '';


                if (!empty($lwacName))
               {
                     global $lwacPluginInstance;
        $lwacPluginInstance->lwac_toload[]= "'".$lwacName."'";


        if (1 == $wpdb->get_var('SELECT print_div from '.$lwac_table_name.' where position LIKE "lwac_widget" && id = '.(int)$instance['div_name']))
        {
                    echo $before_widget;
                    $div_name = "lwacAnchor-".$lwacName;
                    echo "<div id='$div_name'></div>";
                    echo $after_widget;
        }
                }

	}

	function update( $new_instance, $old_instance ) {
		return false;
	}

	function form( $instance ) {
                global $wpdb, $lwac_table_name;
               ?>

                    <?php
                    if (isset($instance['div_name']))
                        $accordionName = $wpdb->get_var( "SELECT name FROM $lwac_table_name where id = " .(int) $instance['div_name']);
                    else
                        $accordionName = '';

                    ?>
                    <?php if (!empty($accordionName)):
                        ?>
                    <p>
                        <input type="hidden" id="lwac-widget-title" value="<?php echo $accordionName?>"/>
                    <span><?php _e('This is the widget for accordion: '); ?><strong><?php echo $accordionName;?></strong></span>

                </p>
                <?php else:?>
                 <p><strong style="color: red">Warning!!!</strong><br />It seems that you chose the Likno Web Accordion widget from the <em>'Available Widgets'</em> panel. Instead, you should drag and drop the related Web Accordion Builder widget from the <em>'Inactive Widgets'</em> panel. If you cannot find the widget that you want, go to <a href="<?php echo admin_url('options-general.php?page=webaccordionbuilder-wordpress-plugin/webaccordionbuilder-wordpress.php')?>">WebAccordionBuilder settings</a>, select the tab of the accordion that you want and choose the "Widget" value in the "Accordion Positioning Method" property.</p>
                <?php endif;?>
<?php
}
}
?>
