<?php
define('WP_USE_THEMES', false);

/** Loads the WordPress Environment and Template */
require_once('../../../wp-blog-header.php');
require_once (ABSPATH . 'wp-admin/includes/file.php');
global $wpdb;
$lwac_table_name = $wpdb->prefix . "lwac";
include_once ABSPATH . 'wp-content/plugins/webaccordionbuilder-wordpress-plugin/include.php';
include_once ABSPATH . 'wp-content/plugins/webaccordionbuilder-wordpress-plugin/widgetClass.php';


$LWAC_ver = '1';

$lwac_total_tabs = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM $lwac_table_name;",null));

for ($lwac=0; $lwac< $lwac_total_tabs; $lwac++) {
	// LWAC_accordion_name
	if (isset($_POST["LWAC_accordion_name_".$lwac]))
            $_POST["LWAC_accordion_name_".$lwac] = lwac_fix_accordion_name($_POST["LWAC_accordion_name_".$lwac]);
}
// LWAC_accordion_path
if (isset($_POST["LWAC_acccordion_path"])) {
	$lwac_path = (string) $_POST["LWAC_accordion_path"];
	if ((strpos($lwac_path, "/") != 0) || (strpos($lwac_path, "/") === FALSE)) $lwac_path = "/" . $lwac_path;
	if (substr($lwac_path, strlen($lwac_path)-1,1) != "/") $lwac_path = $lwac_path . "/";
	$_POST["LWAC_accordion_path"] = $lwac_path;
}

    if ($_POST['theaction'] == "createnew") {
        lwac_create_new();
            if (!session_id()){
                session_start();
                }
                $_SESSION['message'] =  '<div class="updated fade"><p><strong>New accordion succesfully created!</strong></p></div>';
                wp_redirect($_POST['ref'] );
            
            exit;
        }

	 else if ($_POST['theaction']=="set_defaults") {
		// first update all values, then reset this tab to defaults
		lwac_update_option_values();
		lwac_set_default_option_values(get_option('LWAC_selected_tab'));
		if (!session_id()){
                session_start();
                }
                $_SESSION['message'] =  '<div class="updated fade"><p><strong>Default Settings Loaded!</strong></p></div>';
                wp_redirect($_POST['ref'] );
                exit;

	} else if ($_POST['theaction']=="info_update") {
		// update all values
		$message = lwac_update_option_values();
                if (!session_id()){
                session_start();
                }
                $_SESSION['message'] =  '<div class="updated fade"><p><strong>'.$message.'</strong></p></div>';
                wp_redirect($_POST['ref'] );
                exit;
		
	}
        else if ($_POST['theaction']=="delete") {

            $message = lwac_delete_accordion();
            if (!session_id()){
                session_start();
                }
                $_SESSION['message'] =  '<div class="updated fade"><p><strong>'.$message.'</strong></p></div>';
                wp_redirect($_POST['ref'] );
                exit;
		
	}

        else if ($_POST['theaction']=='hide_msg') {
		update_option('LWAC_Check_show', FALSE);
                wp_redirect($_POST['ref'] );
                exit;
	}

        else if ($_POST['theaction']=="zip_update") {
		// update all values
		//lwac_update_option_values();

                $message = lwac_update_zip();
                if (!session_id()){
                session_start();
                }
                $_SESSION['message'] =  '<div class="updated fade"><p><strong>'.$message.'</strong></p></div>';
                wp_redirect($_POST['ref'] );
                exit;
                }

?>
